//VARIABLES GLOBALES
var oQuestions = new Array();
var oQuestionsOld = new Array();
var iIndexActuel = 0;
var bShowingResult = false;
var iShuffledOrder = new Array();
var imgManager = new ImageManager();

var sNomUsager = "";
var sPrenomUsager = "";
var sMatriculeUsager = "";
var sGroupeUsager = "";
var sCourrielUsager = "";
var sCoordUsager = "";

//CONSTANTES
//Type de multiple
var CHOIX_MULTIPLES = 0;
var REPONSES_MULTIPLES = 1;

//Type de closure
var SIMPLE = 0;
var MULTIPLE = 1;

//Type mise en ordre
var TEXTE = 0;
var IMAGE = 1;

//Type association
var TEXTE_TEXTE = 0;
var TEXTE_IMAGE = 1;
var IMAGE_TEXTE = 2;
var IMAGE_IMAGE = 3;

//Type detiquette
var LETTRES = 0;
var CHIFFRES = 1;
var NONE = 2;

//Type affichage damier
var NON_MASQUE = 0;
var MASQUE = 1;

//IMAGE SIZE
var iMaxImgHeight = 120;

//*** SETTINGS ***
//GENERAL
var sQuizName = "Evaluation diagnostique de chimie 2nde";

//STATUS
var STATUS_AFAIRE = "&Agrave; faire";
var STATUS_AREPRENDRE = "&Agrave; reprendre";
var STATUS_ACOMPLETER = "%MSG_A_COMPLETER";
var STATUS_REUSSIE = "R&eacute;ussi";
var STATUS_NONE = " - ";

//DECIMAL
var sDecDelimiter = ",";

//COLONNES DE RESULTATS
var sTitreResultat = "R&eacute;sultats";
var sColQuestion = "Question";
var sColStatut = "Statut";
var sColNbEssais = "Nombre d&rsquo;essais";
var sColPoints = "Points";

//MESSAGES
var sMsgBRep = "Bonne r&eacute;ponse";
var sMsgMRep = "Mauvaise r&eacute;ponse";
var sMsgRepInc = "R&eacute;ponse incompl&egrave;te";
var sMsgMotsMOrtho = "Mots mal orthographi&eacute;s";
var sMsgMotsManq = "Mots manquants (<u>soulign&eacute;s</u>)";
var sMsgMotsTrop = "Mots en trop [entre crochets]";
var sMsgFinQuiz = "Fin du questionnaire.";
var sMsgNomAbsent = "Entrez votre nom dans le champ correspondant.";
var sMsgConfirmSubmit = "Le questionnaire se ferme aprs soumission. Voulez-vous vraiment soumettre le questionnaire?";
var sMsgConfirmReprendre = "Reprendre efface toutes les rponses ainsi que les rsultats. Si vous ne voulez pas effacer ces rsultats ou si vous voulez les faire imprimer avant de reprendre le questionnaire, cliquez sur Annuler, sinon cliquez sur OK.";

//FORMULAIRE DE SOUMISSION
var sLblNom = "Nom";
var sLblPrenom = "Pr&eacute;nom";
var sLblMatricule = "Matricule";
var sLblGroupe = "Groupe";
var sLblCourriel = "Courriel";
var sLblCoord = "Autre";
var bShowFormulaire = false;

//PALETTE
var sPosDelimiter = "de";
var sLblSolution = "Solution";

//Fonctions
function initializeQuiz(){

	oQuestions[0] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-0.html");
oQuestions[0].setID(0);
oQuestions[0].addChoix("le sulfate de cuivre","le sulfate de cuivre contient dj de l'eau !",false);
oQuestions[0].addChoix("le sulfate de cuivre anhydre","",true);
oQuestions[0].addChoix("l'eau de chaux","l'eau de chaux permet d'identifier le dioxyde de carbone !",false);
oQuestions[0].addChoix("l'eau iode","l'eau iode sert  identifier l'amidon (vu en SVT)",false);
oQuestions[0].setPond(1.0);
oQuestions[0].setType(TEXTE);
oQuestions[0].setTypeEtiquette(NONE);
oQuestions[1] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-1.html");
oQuestions[1].setID(1);
oQuestions[1].addChoix("violette","",false);
oQuestions[1].addChoix("bleue","",true);
oQuestions[1].addChoix("blanche","le suflate de cuivre anhydre est dj gris-blanc",false);
oQuestions[1].addChoix("rouge","",false);
oQuestions[1].setPond(1.0);
oQuestions[1].setType(TEXTE);
oQuestions[1].setTypeEtiquette(NONE);
oQuestions[2] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-2.html");
oQuestions[2].setID(2);
oQuestions[2].addChoix("distillation","La distillation permettrait de rcuprer de l'eau mais ce n'est pas le moyen le plus simple !",false);
oQuestions[2].addChoix("filtration","",true);
oQuestions[2].addChoix("dcantation","La dcantation permet de laisser tomber les particules solides au fond de l'eau.",false);
oQuestions[2].addChoix("chromatographie","La chromatographie d'identifier des espces chimiques.",false);
oQuestions[2].setPond(1.0);
oQuestions[2].setType(TEXTE);
oQuestions[2].setTypeEtiquette(NONE);
imgManager.addImage("librairie/filtration.jpg",316,375);
oQuestions[3] = new QZone("question_zone-3.html");
oQuestions[3].setID(3);
oQuestions[3].addChoix("bcher","","","288,272");
oQuestions[3].addChoix("entonnoir","","","290,155");
oQuestions[3].addChoix("filtre","","","290,133");
oQuestions[3].addChoix("baguette","","","4,84");
oQuestions[3].addChoix("mlange htrogne","","","290,102");
oQuestions[3].addChoix("filtrat","","","288,304");
oQuestions[3].addChoix("support","","","3,134");
oQuestions[3].setBorderColor("FFFFFF");
oQuestions[3].setPond(1.0);
oQuestions[3].setType(TEXTE);
oQuestions[3].setImage("filtration.jpg");
oQuestions[3].setLabelSize(19,19);
oQuestions[3].setImgSize(316,375);
oQuestions[3].setTypeEtiquette(LETTRES);
oQuestions[3].shuffle();
imgManager.addImage("librairie/filtration.jpg",316,375);
oQuestions[4] = new QMultiple(REPONSES_MULTIPLES,"question_rmultiple-4.html");
oQuestions[4].setID(4);
oQuestions[4].addChoix("homogne","",false);
oQuestions[4].addChoix("htrogne","",true);
oQuestions[4].setTousBRepO(true);

oQuestions[4].setPond(1.0);
oQuestions[4].setType(TEXTE);
oQuestions[4].setTypeEtiquette(NONE);
imgManager.addImage("librairie/chromatographie.jpg",171,191);
oQuestions[5] = new QMultiple(REPONSES_MULTIPLES,"question_rmultiple-5.html");
oQuestions[5].setID(5);
oQuestions[5].addChoix("ne contient qu'un colorant vert ","On n'observe pas de couleur verte lorsque les espces ont migr sur le papier filtre !",false);
oQuestions[5].addChoix("est constitue de colorants jaune et bleu","",true);
oQuestions[5].setTousBRepO(true);

oQuestions[5].setPond(1.0);
oQuestions[5].setType(TEXTE);
oQuestions[5].setTypeEtiquette(NONE);
imgManager.addImage("librairie/chromatographie.jpg",171,191);
oQuestions[6] = new QClosure(2,"question_closures-6.html");
oQuestions[6].setID(6);
oQuestions[6].setType(SIMPLE);
oQuestions[6].setChoix(0,new Array("solide","gazeux"));
oQuestions[6].setRetro(0,new Array("","",""));
oQuestions[6].setChoix(1,new Array("gazeux","liquide"));
oQuestions[6].setRetro(1,new Array("","",""));
oQuestions[6].setShowChoix(true);
oQuestions[6].setTexte(" la temprature de 0C, l'eau passe de l'tat %input00000  l'tat liquide.<br /> la temprature de 100C, l'eau passe de l'tat liquide  l'tat %input00001.<br />");
oQuestions[6].setPond(1.0);
oQuestions[7] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-7.html");
oQuestions[7].setID(7);
oQuestions[7].addChoix("le solvant","Le solvant est le liquide qui permet la dissolution.",false);
oQuestions[7].addChoix("la solution","La solution est le liquide obtenu quand on dissout le solut.",false);
oQuestions[7].addChoix("le solut","",true);
oQuestions[7].setPond(1.0);
oQuestions[7].setType(TEXTE);
oQuestions[7].setTypeEtiquette(NONE);
oQuestions[8] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-8.html");
oQuestions[8].setID(8);
oQuestions[8].addChoix("homogne","",true);
oQuestions[8].addChoix("htrogne","",false);
oQuestions[8].setPond(1.0);
oQuestions[8].setType(TEXTE);
oQuestions[8].setTypeEtiquette(NONE);
oQuestions[9] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-9.html");
oQuestions[9].setID(9);
oQuestions[9].addChoix("miscibles","Si le mlange de deux liquides est homogne, les liquides sont qualifis de miscibles.",false);
oQuestions[9].addChoix("non-miscibles","",true);
oQuestions[9].addChoix("solubles","Soluble caractrise une espce qui peut tre dissoute dans un liquide.",false);
oQuestions[9].addChoix("non-solubles","",false);
oQuestions[9].setPond(1.0);
oQuestions[9].setType(TEXTE);
oQuestions[9].setTypeEtiquette(NONE);
oQuestions[10] = new QMultiple(REPONSES_MULTIPLES,"question_rmultiple-10.html");
oQuestions[10].setID(10);
oQuestions[10].addChoix("a)","La distillation permettrait certainement de sparer l'huile de l'eau mais ce n'est pas le moyen le plus ais !",false);
oQuestions[10].addChoix("b)","Le dispositif de filtration permet de sparer un solide d'un liquide.",false);
oQuestions[10].addChoix("c)","",true);
oQuestions[10].addChoix("d)","La chromatographie permet d'identifier des espces chimiques.",false);
oQuestions[10].setTousBRepO(true);

oQuestions[10].setPond(1.0);
oQuestions[10].setType(TEXTE);
oQuestions[10].setTypeEtiquette(NONE);
imgManager.addImage("librairie/dispositifs.jpg",770,152);
oQuestions[11] = new QMultiple(REPONSES_MULTIPLES,"question_rmultiple-11.html");
oQuestions[11].setID(11);
oQuestions[11].addChoix("chimiques","Toute espce constitue d'atomes est chimique !",true);
oQuestions[11].addChoix("naturelles","",true);
oQuestions[11].addChoix("synthtiques","L'actate d'isoamyle n'est pas fabriqu au laboratoire, ce n'est donc pas une espce synthtique.",false);
oQuestions[11].setTousBRepO(true);

oQuestions[11].setPond(1.0);
oQuestions[11].setType(TEXTE);
oQuestions[11].setTypeEtiquette(NONE);
oQuestions[12] = new QMultiple(REPONSES_MULTIPLES,"question_rmultiple-12.html");
oQuestions[12].setID(12);
oQuestions[12].addChoix("chimique","",true);
oQuestions[12].addChoix("naturelle","L'arme de banane fabriqu au laboratoire n'est pas une espce directement issue d'un produit naturel.",false);
oQuestions[12].addChoix("synthtique","",true);
oQuestions[12].setTousBRepO(true);

oQuestions[12].setPond(1.0);
oQuestions[12].setType(TEXTE);
oQuestions[12].setTypeEtiquette(NONE);


    //init du Wrapper Scorm
	// Creation d'un espace nom
	if (top.ccdmd_O == null) top.ccdmd_O = {};
	if (top.ccdmd_O.scormWp_O == null) top.ccdmd_O.scormWp_O = new NetquizScormWrapper_V ();
	
	// Set le score maximum du quiz, noter que vous pouvez passer le paramtre en type integer ou en type string,  votre choix.
	var iQuizPond = 0;
	for(var i = 0;i < oQuestions.length;i++){
	    iQuizPond += oQuestions[i].getPonderation();
	}
	top.ccdmd_O.scormWp_O.setScorePond_V (iQuizPond);

	//afficher la premiere question
	contenu.location.href = getQuestionActuelle().getNomFichier();
}
function shuffle(iNbQuestion){
	var oQuestionsTemp = new Array();
	
	iShuffledOrder = getShuffledOrder(oQuestions.length);
	oQuestionsOld = copyArray(oQuestions);
	
	for(var i = 0;i < oQuestions.length;i++){
		oQuestionsTemp[iShuffledOrder[i]] = oQuestionsOld[i];
	}
	
	oQuestions = new Array();

	for(var i = 0;i < iNbQuestion;i++){
		oQuestions[i] = oQuestionsTemp[i];
	}
}
function getQuestionActuelle(){
	return oQuestions[iIndexActuel];
}
function moveNext(){
	if(iIndexActuel == (oQuestions.length - 1)){
		alert(sMsgFinQuiz);
	}else{
		moveTo(iIndexActuel + 1);
	}
}
function movePrevious(){
	if(iIndexActuel == 0){
		//alert(DEBUT_QUIZ);
	}else{
		moveTo(iIndexActuel - 1);
	}
}
function moveTo(i){
	if((i >= 0) && (i < oQuestions.length)){
	    var oQuestionActuelle = getQuestionActuelle();
	    
		if(!bShowingResult){
			oQuestionActuelle.saveData();
			top.ccdmd_O.scormWp_O.setQuestionScore_V((oQuestionActuelle.getID() + 1),oQuestionActuelle.valider(true),oQuestionActuelle.getPonderation());
		}
		
		iIndexActuel = i;
		contenu.location.href = getQuestionActuelle().getNomFichier();
		
		return true;
	}
	return false;
}
function getReadablePos(){
	return (iIndexActuel + 1) + " " + sPosDelimiter + " " + oQuestions.length;
}
function showResultats(){
	contenu.location.href = "resultats.html";
	bShowingResult = true;
	retro.reset();
}
function soumettre(){
	return;
}
function finishQuiz(){
    top.ccdmd_O.scormWp_O.finish_V();
}